Overview | Package | Class | Tree | Deprecated | Index | Help
| Servlet 3.0 - Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.servlet
Interface Registration.Dynamic

All Superinterfaces:
  Registration

All Known Subinterfaces:
  FilterRegistration.Dynamic, ServletRegistration.Dynamic

Enclosing interface:
  Registration

    public static interface Registration.Dynamic

extends Registration

Nested Class Summary

Nested classes/interfaces inherited from interface javax.servlet.Registration
`Registration.Dynamic`

Method Summary
`void` | `setAsyncSupported(boolean isAsyncSupported)`

Methods inherited from interface javax.servlet.Registration
`getClassName, getInitParameter, getInitParameters, getName, setInitParameter, setInitParameters`

Method Detail

### setAsyncSupported

    void setAsyncSupported(boolean isAsyncSupported)

  Parameters:
    `isAsyncSupported` -
  Throws:
    `java.lang.IllegalStateException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Servlet 3.0 - Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.